Subject: Re: SSHD Issue Windows 2003 64 bit
From: "Larry Hall (Cygwin)" <[email-masked]>
To: Cygwin List <[email-masked]>
Cc: [email-masked]
Date: Mon, 22 Aug 2011 11:15:09 -0400
List-Id: <cygwin.cygwin.com>

On 8/19/2011 5:53 PM, Gary wrote:
> I've re-installed cygwin on a fresh virtual machine (offline install)
> and have tried running:
> 'ssh-host-config' -- still no echo from the terminal

Typing 'set -x' into the 'bash' shell before running the above might provide
some helpful debugging feedback info for you.

> 'cygrunsrv -S sshd'  -- cygrunsrv: Error starting a
> service:OpenService:  Win32 error 1060:The specified service does not
> exist as an installed service.
> 'net start sshd' -- the service name is invalid.  More help is
> available by typing NET HELPMSG 2185.

Not surprising since 'ssh-host-config' didn't run/run correctly.

> My environment variables below:
> Variable:Home
> Value: C:\

Remove HOME.  You don't need it.

> Variable: Path
> Value: C:\cygwin\bin

You should have a little more than just this.  Windows system paths should
also be in there.  Did you edit the path?

> Variable:TEMP
> Value: %USERPROFILE%\Local Settings\Temp
> Variable:TMP
> Value: %USERPROFILE%\Local Settings\Temp

Remove these.

> I have re-created the passwd file and group file via our previous
> conversations.  What other steps could I take to ensure SSHD to run as
> a service on Windows Server 2003 r2 64bit?  Any other ideas?

I don't have time to check through the archives to see if we've been
over this route but it seems to me like we need to look at your
configuration.  Read and follow the instructions found at this link:

<http://cygwin.com/problems.html>

-- 
Larry

_____________________________________________________________________

A: Yes.
 > Q: Are you sure?
 >> A: Because it reverses the logical flow of conversation.
 >>> Q: Why is top posting annoying in email?

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple